dagfwddemo(March 2005)

NAME
dagfwddemo - Endace inline forwarding demonstration utility

SYNOPSIS
dagfwddemo [options] expression

DESCRIPTION
dagfwddemo forwards packets from one network interface to another based on the given BPF (BSD Packet Filter) expression. It requires a DAG card with transmit capable firmware loaded. The basic mechanism is to overlap the receive memory buffer with a transmit memory buffer, which enables the DAG card to forward packets from one interface to another without copying them. Packets that have their RX Error bit set in the ERF header are dropped by the transmit firmware, and dagfwddemo exploits this behaviour by setting the RX Error bit of packets that fail the given BPF expression.

Make sure that when configuring the card with dagthree(1) or dagfour(1) that the overlap option is used so that the streams are configured correctly. For example:
    dagfour -d0 default overlap
    dagthree -d0 default overlap

OPTIONS

-d DEVICE

--device DEVICE
    Use the DAG device referred to by DEVICE. Supported syntax includes 0, dag1, and /dev/dag3 to refer to DAG cards, and 0:2, dag1:1, and /dev/dag2:0 to refer to specific streams on cards.

-h

-?

--help

--usage
    Display usage (help) information.

-i  Do not rewrite the interface number when forwarding.

-R  Low latency receive mode (can be used together with -T).

-t NUM
    Run for NUM seconds (default is to run forever).

-T  Low latency transmit mode (can be used together with -R).

-V

--version
    Display version information.

EXAMPLES
To forward all traffic:
    dagfwddemo -d /dev/dag0

To forward icmp packets and reject others:
    dagfwddemo -d /dev/dag0 icmp

To forward traffic where the source or destination IP address is 1.2.3.4:
    dagfwddemo -d /dev/dag0 ip host 1.2.3.4

To forward traffic where neither the source nor destination IP address is 1.2.3.4:
    dagfwddemo -d /dev/dag0 not ip host 1.2.3.4

SEE ALSO
dagfour(1), dagthree(1), pcap(3), tcpdump(1).

BUGS
Report bugs to <support@endace.com>.

LAST UPDATED
$Author: koryn $
$Revision: 2366 $
$Date: 2005-10-18 15:32:32 +1300 (Tue, 18 Oct 2005) $

COPYRIGHT
(c) 2004-2005 Endace Technology, Hamilton, New Zealand. All Rights Reserved.